summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2022-01-12 23:12:22 +0000
committerKarl Berry <karl@freefriends.org>2022-01-12 23:12:22 +0000
commit60f8f17febf68030b94ac99a5c75047f0d3e430e (patch)
treecdadaa1c55f32d86795cc253657e3102079cdaa3 /Master
parent7d89d54f89bf344350b6970f404917edac997453 (diff)
generalize tl-try-install for new /home/texlive/hyphtest
git-svn-id: svn://tug.org/texlive/trunk@61592 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/bin/tl-try-install35
-rw-r--r--Master/tlpkg/dev/profiles/TLfmt.pro3
-rw-r--r--Master/tlpkg/dev/profiles/TLhyphtest.pro32
3 files changed, 56 insertions, 14 deletions
diff --git a/Master/tlpkg/bin/tl-try-install b/Master/tlpkg/bin/tl-try-install
index 0f05e3e49b5..fcdb858913f 100755
--- a/Master/tlpkg/bin/tl-try-install
+++ b/Master/tlpkg/bin/tl-try-install
@@ -16,18 +16,22 @@ mydir=`cd \`dirname "$real0"\` && pwd` # Master/tlpkg/bin
Master=`cd $mydir/../.. && pwd`
profiledir=$Master/tlpkg/dev/profiles
-opt=
+instdir=/tmp/ki
profile=$profiledir/TLinfra.pro
+quiet=false
repo=$Master
+verbose=
while test $# -gt 0; do
case $1 in
+ -o) shift; instdir=$1;;
-p|--profile) shift; profile=$1;;
+ -q|--quiet) quiet=true;;
-r|--repo) shift; repo=$1;;
- -v|-vv) opt=$1;;
+ -v|-vv) verbose=$1;;
--help) echo "ustl. sorry."; exit 0;;
--version) echo "$vc_id"; exit 0;;
- *) echo "$0: unrecognized option \`$1'." >&2
+ *) echo "$0: unrecognized argument \`$1'." >&2
exit 1;;
esac
shift
@@ -54,17 +58,26 @@ if test ! -x "$repo/install-tl"; then
exit 1
fi
-instdir=/tmp/ki # also specified in *.pro, so not enough to change it here.
-rm -rf $instdir* && echo "removed $instdir*."
+# The installation directory specified in *.pro has to match.
+profile_instdir=`awk '$1=="TEXDIR" {print $2}' $profile`
+if test x"$profile_instdir" != x"$instdir"; then
+ echo "$0: instdir ($instdir) != profile TEXDIR ($profile_instdir)" >&2
+ exit 1
+fi
-# make installations quieter.
-#TEXLIVE_INSTALL_ENV_NOCHECK=1; export TEXLIVE_INSTALL_ENV_NOCHECK
-#TEXLIVE_INSTALL_NO_WELCOME=1; export TEXLIVE_INSTALL_NO_WELCOME
-#TEXLIVE_INSTALL_PAPER=letter; export TEXLIVE_INSTALL_PAPER
+rm -rf $instdir && echo "$0: removed $instdir"
+
+if $quiet; then
+ # make installations quieter?
+ TEXLIVE_INSTALL_ENV_NOCHECK=1; export TEXLIVE_INSTALL_ENV_NOCHECK
+ TEXLIVE_INSTALL_NO_WELCOME=1; export TEXLIVE_INSTALL_NO_WELCOME
+fi
+
+#TEXLIVE_INSTALL_PAPER=letter; export TEXLIVE_INSTALL_PAPER # testing
-set -x
pro=--profile=$profile
-exec time $repo/install-tl $opt $pro
+set -x
+exec time $repo/install-tl $verbose $pro --repo $repo
cust= #--custom-bin=$wb
exec time $lp/install-tl $pro
diff --git a/Master/tlpkg/dev/profiles/TLfmt.pro b/Master/tlpkg/dev/profiles/TLfmt.pro
index e9c263963c7..09279dd8d79 100644
--- a/Master/tlpkg/dev/profiles/TLfmt.pro
+++ b/Master/tlpkg/dev/profiles/TLfmt.pro
@@ -5,11 +5,8 @@ TEXMFHOME /tmp/ki/user/home
TEXMFLOCAL /tmp/ki/texmf-local
TEXMFSYSCONFIG /tmp/ki/sys/config
TEXMFSYSVAR /tmp/ki/sys/var
-selected_scheme scheme-minimal
TEXMFCONFIG /tmp/ki/user/config
TEXMFVAR /tmp/ki/user/var
-TEXMFSYSCONFIG /tmp/ki/sys/config
-TEXMFSYSVAR /tmp/ki/sys/var
option_doc 0
option_fmt 1
option_letter 0
diff --git a/Master/tlpkg/dev/profiles/TLhyphtest.pro b/Master/tlpkg/dev/profiles/TLhyphtest.pro
new file mode 100644
index 00000000000..0e97a0196b3
--- /dev/null
+++ b/Master/tlpkg/dev/profiles/TLhyphtest.pro
@@ -0,0 +1,32 @@
+# $Id: TLfmt.pro 44249 2017-05-08 17:26:47Z karl $
+TEXDIR /home/texlive/hyphtest/inst
+TEXMFHOME /home/texlive/hyphtest/inst/user/home
+TEXMFLOCAL /home/texlive/hyphtest/inst/texmf-local
+TEXMFSYSCONFIG /home/texlive/hyphtest/inst/sys/config
+TEXMFSYSVAR /home/texlive/hyphtest/inst/sys/var
+TEXMFCONFIG /home/texlive/hyphtest/inst/user/config
+TEXMFVAR /home/texlive/hyphtest/inst/user/var
+option_adjustrepo 0
+option_doc 1
+option_fmt 1
+option_letter 0
+option_src 1
+option_symlinks 0
+collection-basic 1
+collection-langarabic 0
+collection-langchinese 0
+collection-langcjk 0
+collection-langcyrillic 0
+collection-langczechslovak 0
+collection-langenglish 0
+collection-langeuropean 0
+collection-langfrench 0
+collection-langgerman 0
+collection-langgreek 0
+collection-langitalian 0
+collection-langjapanese 0
+collection-langkorean 0
+collection-langother 0
+collection-langpolish 0
+collection-langportuguese 0
+collection-langspanish 0